Skip to main content
GET
/
v1rc1
/
items
/
by-token-id
/
{tokenId}
/
history-missions
/
representative
curl --request GET \
  --url 'https://openapi.msu.io/v1rc1/items/by-token-id/{tokenId}/history-missions/representative' \
  --header 'Content-Type: application/json' \
  --header 'x-nxopen-api-key: YOUR_API_KEY'
{
  "success": true,
  "data": {
    "historyMissions": [],
    "nextCursor": "string",
    "hasMore": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.msu.io/llms.txt

Use this file to discover all available pages before exploring further.

Path parameters

tokenId
string
required
The token ID

Query parameters

cursor
string
Pagination cursor for next page

Response

success
boolean
Indicates if the request was successful
data
object
curl --request GET \
  --url 'https://openapi.msu.io/v1rc1/items/by-token-id/{tokenId}/history-missions/representative' \
  --header 'Content-Type: application/json' \
  --header 'x-nxopen-api-key: YOUR_API_KEY'
{
  "success": true,
  "data": {
    "historyMissions": [],
    "nextCursor": "string",
    "hasMore": false
  }
}

Notes

  • Pagination is supported, with 20 items per page